#version 330

uniform sampler2DRect inputTex;
uniform sampler2DRect maskTex;
uniform float intensity=.2;
uniform float uGlobalTime;
uniform float frequency=1.;

layout (location=0) in vec3 vsPosition;
layout (location=1) in vec2 vsTexture;

out vec2 fsTexture;
out vec2 fsTexture2;
out vec2 fsMaskTexture;

void main()
{
	gl_Position=vec4(vsPosition.x,vsPosition.y,vsPosition.z,1.0);
    ivec2 texSize=textureSize(inputTex);
    vec2 tmp = vsTexture/vec2(texSize); //0,0 -> 1,1
    fsTexture2=vsTexture;
    fsMaskTexture=tmp;
    tmp-=.5;    //-.5,-.5 -> .5,.5
    tmp*=2.;    //-1,-1 -> 1,1
    tmp/=(intensity+1.);
    tmp+=noise2(uGlobalTime*4.*(frequency+.1))*(intensity*.5);
    tmp*=.5;
    tmp+=.5;
    fsTexture=tmp*vec2(texSize);
    texSize=textureSize(maskTex);
    fsMaskTexture*=vec2(texSize);
}
